Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.audit
Class AbstractAuditLogger

    java.lang.Object
      org.jbpm.process.audit.AbstractAuditLogger

All Implemented Interfaces:
  EventListener, ProcessEventListener

Direct Known Subclasses:
  AsyncAuditLogProducer, JPAWorkingMemoryDbLogger

    public abstract class AbstractAuditLogger

extends Object
implements ProcessEventListener

Field Summary
`static int` | `AFTER_COMPLETE_EVENT_TYPE`
`static int` | `AFTER_NODE_ENTER_EVENT_TYPE`
`static int` | `AFTER_NODE_LEFT_EVENT_TYPE`
`static int` | `AFTER_START_EVENT_TYPE`
`static int` | `AFTER_VAR_CHANGE_EVENT_TYPE`
`static int` | `BEFORE_COMPLETE_EVENT_TYPE`
`static int` | `BEFORE_NODE_ENTER_EVENT_TYPE`
`static int` | `BEFORE_NODE_LEFT_EVENT_TYPE`
`static int` | `BEFORE_START_EVENT_TYPE`
`static int` | `BEFORE_VAR_CHANGE_EVENT_TYPE`
`protected AuditEventBuilder` | `builder`
`protected Environment` | `env`

Constructor Summary
`AbstractAuditLogger()`
`AbstractAuditLogger(KieSession session)`
`AbstractAuditLogger(org.drools.core.WorkingMemory workingMemory)`

Method Summary
`AuditEventBuilder` | `getBuilder()`
`void` | `setBuilder(AuditEventBuilder builder)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.kie.api.event.process.ProcessEventListener
`afterNodeLeft, afterNodeTriggered, afterProcessCompleted, afterProcessStarted, afterVariableChanged, beforeNodeLeft, beforeNodeTriggered, beforeProcessCompleted, beforeProcessStarted, beforeVariableChanged`

Field Detail

### BEFORE_START_EVENT_TYPE

    public static final int BEFORE_START_EVENT_TYPE

See Also:
  Constant Field Values

### AFTER_START_EVENT_TYPE

    public static final int AFTER_START_EVENT_TYPE

See Also:
  Constant Field Values

### BEFORE_COMPLETE_EVENT_TYPE

    public static final int BEFORE_COMPLETE_EVENT_TYPE

See Also:
  Constant Field Values

### AFTER_COMPLETE_EVENT_TYPE

    public static final int AFTER_COMPLETE_EVENT_TYPE

See Also:
  Constant Field Values

### BEFORE_NODE_ENTER_EVENT_TYPE

    public static final int BEFORE_NODE_ENTER_EVENT_TYPE

See Also:
  Constant Field Values

### AFTER_NODE_ENTER_EVENT_TYPE

    public static final int AFTER_NODE_ENTER_EVENT_TYPE

See Also:
  Constant Field Values

### BEFORE_NODE_LEFT_EVENT_TYPE

    public static final int BEFORE_NODE_LEFT_EVENT_TYPE

See Also:
  Constant Field Values

### AFTER_NODE_LEFT_EVENT_TYPE

    public static final int AFTER_NODE_LEFT_EVENT_TYPE

See Also:
  Constant Field Values

### BEFORE_VAR_CHANGE_EVENT_TYPE

    public static final int BEFORE_VAR_CHANGE_EVENT_TYPE

See Also:
  Constant Field Values

### AFTER_VAR_CHANGE_EVENT_TYPE

    public static final int AFTER_VAR_CHANGE_EVENT_TYPE

See Also:
  Constant Field Values

### builder

    protected AuditEventBuilder builder

### env

    protected Environment env

Constructor Detail

### AbstractAuditLogger

    public AbstractAuditLogger(org.drools.core.WorkingMemory workingMemory)

### AbstractAuditLogger

    public AbstractAuditLogger(KieSession session)

### AbstractAuditLogger

    public AbstractAuditLogger()

Method Detail

### getBuilder

    public AuditEventBuilder getBuilder()

### setBuilder

    public void setBuilder(AuditEventBuilder builder)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.